gtk.RecentChooserWidget
Prev | The gtk Class Reference | Next

## gtk.RecentChooserWidget

gtk.RecentChooserWidget — Displays recently used files (new in PyGTK 2.10)

## Synopsis

    class gtk.RecentChooserWidget(gtk.VBox, gtk.RecentChooser):
        gtk.RecentChooserWidget(manager=None)

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.Widget
          +-- gtk.Container
            +-- gtk.Box
              +-- gtk.VBox
                +-- gtk.RecentChooserWidget

## Implemented Interfaces

`gtk.Bin` implements `gtk.Buildable` gtk.RecentChooser

## gtk.RecentChooserWidget Properties

gtk.RecentChooser Properties

gtk.Object Properties

gtk.Widget Properties

gtk.Container Properties

gtk.Box Properties

## gtk.RecentChooserWidget Style Properties

gtk.Widget Style Properties

## gtk.RecentChooserWidget Child Properties

gtk.Box Child Properties

## gtk.RecentChooserWidget Signal Prototypes

gobject.GObject Signal Prototypes

gtk.Object Signal Prototypes

gtk.Widget Signal Prototypes

gtk.Container Signal Prototypes

gtk.RecentChooser Signal Prototypes

## Description

`gtk.RecentChooserWidget` is a widget suitable for selecting recently used files. It is the main building block of a `gtk.RecentChooserDialog`. Most applications will only need to use the latter; you can use `gtk.RecentChooserWidget` as part of a larger window if you have special needs.

Note that `gtk.RecentChooserWidget` does not have any methods of its own. Instead, you should use the methods that work on a `gtk.RecentChooser`.

Recently used files are supported since GTK+ 2.10.

## Constructor

### gtk.RecentChooserWidget

        gtk.RecentChooserWidget(manager=None)

`manager` : | a `gtk.RecentManager`
Returns : | a new `gtk.RecentChooserWidget`

### Note

This constructor is available in PyGTK 2.10 and above.

Creates a new `gtk.RecentChooserWidget` with an optional `gtk.RecentManager`.

This is useful if you have implemented your own recent manager, or if you have a customized instance of a `gtk.RecentManager` object.

Prev | Up | Next
gtk.RecentChooserMenu | Home | gtk.RecentChooser